# DMCoarsenHierarchy

Coarsens a DM object, all levels at once

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DMCoarsenHierarchy(DM dm, int nlevels, DM **dmc)

Collective on DM

### Input Parameter

| dm | - the DM object
| nlevels | - the number of levels of coarsening

### Output Parameter

dmc -the coarsened DM hierarchy

### See Also

DMRefineHierarchy(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMGetInterpolation()

Level:developer
Location:src/dm/da/utils/dm.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages